BuildRequires: jpackage-1.4-compat
Name: jakarta-commons-jelly
Version: 1.0
Release: alt2

Summary: Jelly Scripting Engine

Group: Development/Java
License: Apache Software License
Url: http://jakarta.apache.org/commons/jelly/
Source: commons-jelly-%version-src.tar.bz2
Patch: %name-build.patch

BuildArch: noarch
# Jelly build and test BuildRequires
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit xmlunit

# Jelly general BuildRequires
BuildRequires: dom4j jakarta-commons-jexl jakarta-commons-cli-1
BuildRequires: jakarta-commons-beanutils >= 1.7.1-alt0.2
BuildRequires: jakarta-commons-collections jakarta-commons-discovery jakarta-commons-lang
BuildRequires: jakarta-commons-logging jaxen forehead servletapi5 jakarta-taglibs-standard
BuildRequires: xerces-j xml-commons-apis

# Jelly general runtime requirements
Requires: dom4j jakarta-commons-jexl jakarta-commons-cli-1
Requires: jakarta-commons-beanutils >= 1.7.1-alt0.2
Requires: jakarta-commons-collections jakarta-commons-discovery jakarta-commons-lang
Requires: jakarta-commons-logging jaxen forehead servletapi5 jakarta-taglibs-standard
Requires: xerces-j xml-commons-apis

%description
Jelly is a Java and XML based scripting engine.
Jelly combines the best ideas from JSTL, Velocity,
DVSL, Ant and Cocoon all together in a simple
yet powerful scripting engine.

%package javadoc
Summary: Javadoc for %name
Group: Development/Documentation
Requires: java-common

%description javadoc
%summary. Includes javadocs for all jelly-tags

%prep
%setup -q -n commons-jelly-%version-src
%patch

%build
%set_classpath %_javadir/jakarta-commons-beanutils.jar
%add_classpath %_javadir/commons-cli.jar
%add_classpath %_javadir/jakarta-commons-collections.jar
%add_classpath %_javadir/jakarta-commons-discovery.jar
%add_classpath %_javadir/jakarta-commons-jexl.jar
%add_classpath %_javadir/jakarta-commons-lang.jar
%add_classpath %_javadir/jakarta-commons-logging.jar
%add_classpath %_javadir/dom4j.jar
%add_classpath %_javadir/forehead.jar
%add_classpath %_javadir/jaxen.jar
%add_classpath %_javadir/servletapi5.jar
%add_classpath %_javadir/jstl.jar
%add_classpath %_javadir/xerces-j2.jar
%add_classpath %_javadir/xml-commons-apis.jar

CLASSPATH=target/classes:target/test-classes:%_classpath
%ant_build -Dbuild.sysclasspath=only -Dnoget=true dist

%install

%__mkdir_p %buildroot{%_javadir/jelly-tags,%_javadocdir/%name/jelly-tags}

%__install -pm 644 target/*.jar %buildroot%_javadir/%name.jar
ln -s %name.jar %buildroot%_javadir/commons-jelly.jar

#javadoc files
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc *.txt
%_javadir/%name.jar
%_javadir/jelly-tags

%files javadoc
%_javadocdir/%name

%changelog
* Sat May 19 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2
- resurrected from orphaned;
- added jpackage compat links

* Sat Jul 02 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Final release
- update servletapi dependency to servletapi5
- changed rpmgroup for javadoc package

* Wed May 04 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1
- Initial release for ALTLinux Sisyphus
- svn snapshot 20050504

